@charset "utf-8";

:root {
  --color-light: #ffffff;
  --color-deep: #231E14;
  --color-mask: #000000;

  --margin-s: 16px;
  --margin-m: 32px;
  --margin-l: 64px;

  --font-en: "Cormorant SC", serif;
  --font-ja: "Zen Old Mincho", serif;

  --font-weight-n:400;
  --font-weight-b:900;

  --fs-xs:10px;
  --fs-s:14px;
  --fs-m:16px;
  --fs-l:24px;
  --fs-xl:48px;
  --fs-h2:128px;

  --quick-trans:all 0.3s ease;
  --slow-trans:all 1s ease;

}

html{
  scroll-behavior: smooth;
}

body{
  font-family: var(--font-ja);
  color: var(--color-light);
  font-weight: var(--font-weight-n);
  font-size: var(--fs-s);
  cursor: default;
}

@media (min-width:1000px) {
  
  body{
    font-size: var(--fs-m);
  }

  .sp-br{
    display: none;
  }
  
}

/* section{
  margin-bottom: calc(var(--margin-l)*3);
} */

.en{
  font-family: var(--font-en);
}

.scale-link{
  display: inline-block;
  transition: var(--quick-trans);
}

.scale-link:hover{
  transform: scale(1.1);
}


.scroll-slide{
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media (min-width:1000px) {

  .scroll-slide{
    transform: scale(1.5);
  }
  
}

.scroll-slide.rtl{
  object-position: "80% 50%";
}

.scroll-slide.ltr{
  object-position: "20% 50%";
}

.scroll-slide.center{
  object-position: center;
  transform: scale(1);

}

@media (min-width:1000px) {

  .scroll-slide.rtl{
    object-position: "0% 50%";
  }
  
  .scroll-slide.ltr{
    object-position: "100% 50%";
  }

  
}

.slide-in-wrapper{
  display: inline-block;
  overflow: hidden;
}

.slide-in-up{
  display: inline-block;
}


/* バーガーボタン */

header {
  position: fixed;
  top: 0;
  right: 0;
  height: 30px;
  width: 100dvw;
  padding: var(--margin-s);
  z-index: 1000;
}
@media (min-width:1000px) {

  header{
    display: none;
  }
  
}


.burger {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  width: 30px;
  height: 30px;
  margin-left: auto;
}

.burger-1,
.burger-2,
.burger-3 {
  display: inline-block;
  width: 100%;
  height: 1px;
  background-color: var(--color-light);
  transition: var(--slow-trans);
}

.burger.is-active .burger-1{
  transform: translateY(10px) rotate(15deg);
}

.burger.is-active .burger-2{
  opacity: 0;
}

.burger.is-active .burger-3{
  transform: translateY(-10px) rotate(-15deg);
}

/* ナビ */

nav {
  position: fixed;
  top: 0;
  right: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 60px;
  height: 100dvh;
  padding-bottom: var(--margin-s);
  z-index: 100;
  transition: var(--slow-trans);
  transform: translateX(100%);
}

@media (min-width:1000px) {
  nav{
    transform: translateX(0%);
  }
}


nav.is-active{
  transform: translateX(0%);
}

.nav-mask {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: var(--color-mask);
  opacity: 0.5;
  z-index: -1;
}

.page-nav,
.reserve-wrapper>p {
  writing-mode: vertical-rl;
}

/* ページナビ */

.page-nav{
  display: flex;
  flex: 1;
  justify-content: space-around;
  padding-top: calc(30px + var(--margin-s) * 2);
}

.page-nav>li>a{
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 46px;
}

.current{
  position: absolute;
  left: 0;
  top: 0;
  display: inline-block;
  width: 1px;
  height: 100%;
  background-color: var(--color-light);
  transform-origin: center;
  transform: scale(0);
  /* transition: var(--slow-trans); */
}

/* 予約NAV */

.reserve-wrapper{
  margin-top: auto;
}

.reserve-wrapper>p{
  font-size: var(--fs-xs);
}

@media (min-width:1000px) {
  .reserve-wrapper>p{
    font-size: var(--fs-s);
  }
}


.reserve-nav{
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: var(--margin-s);
  margin-top: var(--margin-s);
}

@media (min-width:1000px) {
  .reserve-nav>li>a>i{
    font-size: var(--fs-l);
  }
}


/* ヒーローBG */

.main-bg-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  width: 100dvw;
  height: 100dvh;
  z-index: -1;
}

.main-bg-wrapper>img {
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  height: 100%;
  object-fit: cover;
}

.main-bg-img-2{
  z-index: 1;
}

/* ヒーロー */

h1{
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100dvw;
  height: 100dvh;
  margin-bottom: 50dvh;
}

.hero-1{
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: var(--margin-s);
  font-size: var(--fs-m);
}


.hero-2{
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: var(--margin-s);
}

#hero-2-1{
  display: inline-block;
  height: 1px;
  width: 100%;
  background-color: var(--color-light);
}

#hero-2-2{
  font-size: var(--fs-l);
}

#hero-2-3{
  font-size: var(--fs-xl);
}

/* メインコンテンツ */

.main-contents{
  position: relative;
  z-index: 1;
}

.main-contents-bg{
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: var(--color-deep);
  z-index: -1;
}

/* H2見出し */

h2{
  position:relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  /* gap: var(--fs-m); */
  height: 90dvh;
  font-size: var(--fs-m);
}

@media (min-width:1000px) {

  h2{
    width: 400px;
    margin: 0 auto;
  }
  
}


.h2-bg{
  position: absolute;
  display: flex;
  flex-direction: column;
  width: 100%;
  opacity: 0.1;
  font-size: var(--fs-h2);
  letter-spacing: -10px;
  line-height: 92px;
}
.h2-bg>span{
  display: inline-block;
}
.h2-bg-2{
  align-self: flex-end;
}

/* ABOUT */


.about-inner{
  padding-top: var(--margin-l);
}

@media (min-width:1000px) {

  .about-inner{

    padding-top: calc(var(--margin-l)*3);
    display: flex;
    flex-direction: row;
    align-items: center;
  }
  
}

.about-inner>p{
  width: 70%;
  margin: 0 auto var(--margin-l) auto;
  line-height: var(--fs-xl);
}

@media (min-width:1000px) {

  .about-inner>p{
    width: 40%;
    padding: 0 5%;
    margin: 0 auto 0 auto;
  }
  
}

.about-inner>.about-img-wrapper{
  width: 70%;
  height: 250px;
  overflow: hidden;
}

@media (min-width:1000px) {

  .about-inner>.about-img-wrapper{
    width: 60%;
  }
  
}


.about-inner.right>.about-img-wrapper{
  margin-left: auto;
}

@media (min-width:1000px) {

  .about-inner.left{
    flex-direction: row-reverse;
  }
  
}


/* MENU */

.menu-item{
  position: relative;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  z-index: 1;
}

@media (min-width:1000px) {

  .menu-item{
    height: 400px;
  }
  
}


.menu-item-bg{
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: -1;
}



.menu-item-inner{
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: var(--margin-l);
  width: 100%;
  height: 100%;
  text-align: center;
  z-index: 10;
}

@media (min-width:1000px) {

  .menu-item-inner{
    width: 60%;
    flex-direction: row;
    align-items: center;
    margin: 0 auto;
  }
  
}


.menu-item-inner-mask{
  position: absolute;
  width: 100%;
  height: 100%;
  opacity: 0.6;
  background-color: var(--color-mask);
  z-index: -1;
}

.menu-item-inner-left{
  display: flex;
  flex-direction: column;
  gap: var(--margin-l);
}

.menu-title-en{
  font-size: var(--fs-l);
  font-weight: var(--font-weight-b);
}

@media (min-width:1000px) {

  .menu-title-ja{
    font-size: var(--fs-xs);
  }
  
}

.menu-price{
  font-weight: var(--font-weight-b);
}

.menu-item-inner-right{
  width: 70%;
  margin: 0 auto;
}

@media (min-width:1000px) {

  .menu-item-inner-right{
    text-align: left;
  }
  
}

.menu-wrapper>p{
  width: 70%;
  margin: var(--margin-l) auto;
  font-size: var(--fs-xs);
}

@media (min-width:1000px) {

  .menu-wrapper>p{
    text-align: center;
  }
  
}

/* INFO */

.info-wrapper{
  padding-bottom: calc(var(--margin-l)*3);
}

.info-img-wrapper{
  width: 100%;
  height: 300px;
  overflow: hidden;
}

@media (min-width:1000px) {

  .info-content-wrapper{
    display: flex;
    flex-direction: row;
  }

  .info-img-wrapper{
    width: 45%;
    height: auto;
  }
  
}

.info-content{
  text-align: center;
}

@media (min-width:1000px) {

  .info-content{
    flex: 1;
    padding-right: 60px;
  }
  
}

.info-content>dl{
  margin: var(--margin-l) auto;
}

.info-content>dl>dt{
  display: flex;
  flex-direction: column;
  font-weight: var(--font-weight-b);
}
.info-content>dl>dt>span{
  display: inline-block;
  width: 80%;
  height: 1px;
  margin: 0 auto;
  background-color: var(--color-light);
  margin-top: var(--margin-s);
}
@media (min-width:1000px) {

  .info-content>dl>dt>span{
    width: 50%;
  }
  
}
.info-content>dl>dd{
  padding-top: var(--margin-s);
}
.info-content>dl>dd>span{
  font-size: var(--fs-xs);
}

.info-content>p{
  width: 80%;
  margin: 0 auto;
  text-align: left;
}

/* FIN */

.fin{
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: var(--margin-l);
  height: 100vh;
}

.fin::before{
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--color-mask);
  opacity: 0.5;
  z-index: -1;
}

.fin>p{
  width: 80%;
  text-align: center;
  line-height: var(--fs-xl);
}

.fin-reserve-wrapper>p{
  font-weight: var(--font-weight-b);
  text-align: center;
}

.fin-reserve-wrapper>.reserve-nav{
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: var(--margin-m);
}

.fin-reserve-wrapper>.reserve-nav>li>a>i{
  font-size: var(--fs-l);
}

/* COPY */
.copy{
  position: relative;
  text-align: center;
  font-size: var(--fs-xs);
  padding: var(--margin-m);
}

.copy::before{
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--color-mask);
  opacity: 0.5;
  z-index: -1;
}